[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# TAbstractResourceReader.GetTree

Gets the internal resource tree of a TResources object

## Declaration

Source position: resource.pp line 293

`protected function TAbstractResourceReader.GetTree(`
`aResources: TResources`
`):TObject;`

## Arguments

`aResources` |  | The TResources object whose tree must be returned

## Function result

The resource tree. It is an instance of TRootResTreeNode.

## Description

This protected method can be used by descendents of TAbstractResourceReader to obtain the internal resource tree used by a TResources object. The internal resource tree is an instance of TRootResTreeNode.

Some resource readers can improve their performance if, instead of calling TResources.Add, add themselves resources to the internal tree used by a TResources object.

Remark: | After adding a resource to a resource tree, a reader must always call AddNoTree method to let the TResources object know about the newly-added resource.

## See also

TAbstractResourceReader.AddNoTree |  | Adds a resource without updating the internal tree
TRootResTreeNode |  | The root node in a resource tree